﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using Sirenix.OdinInspector;

namespace KairoEngine.SoundtrackSystem
{
    public enum SoundtrackType
    {
        Single,
        Layered
    }

    [CreateAssetMenu(fileName = "Soundtrack", menuName = "KairoEngine/Soundtrack", order = 3), HideMonoScript]
    public class Soundtrack : SerializedScriptableObject
    {
        public SoundtrackType soundtrackType;
        [ShowIf("@soundtrackType == SoundtrackType.Single")] public AudioClip audioClip;
        [ShowIf("@soundtrackType == SoundtrackType.Layered")] public List<AudioClip> audioClips;

        public bool loop = true;
        public bool fadeIn = false;
        [ShowIf("@fadeIn == true")] public float fadeTime = 1f;
    }
}


